Skip to content

Accounts

Accounts under your Organization are used to manage Integrations, Credentials, and other account specific resources. Accounts are secure containers and may be used to represent tenants in your system. Data is never shared across accounts.

For more information on Accounts, see the Synqly Overview.

List Accounts

Request

Returns a list of all Account objects. For more information on Organizations and Accounts, refer to our Synqly Overview.

Operation ID: accounts_list

Security
BearerAuth
Query
limitinteger or null

Number of Account objects to return in this page. Defaults to 100.

start_afterstring or null

Return Account objects starting after this name.

orderArray of strings

Select a field to order the results by. Defaults to name. To control the direction of the sorting, append [asc] or [desc] to the field name. For example, name[desc] will sort the results by name in descending order. The ordering defaults to asc if not specified. May be used multiple times to order by multiple fields, and the ordering is applied in the order the fields are specified.

filterArray of strings

Filter results by this query. For more information on filtering, refer to our Filtering Guide. Defaults to no filter. If used more than once, the queries are ANDed together.

totalboolean or null

Return total number of accounts in the system, respecting all applied filters. This is expensive, use sparingly.

curl
curl -i -X GET \
  https://api.synqly.com/v1/accounts \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Bodyapplication/json
resultArray of objects(Account)required
totalinteger or null
Response
{ "result": [ { … } ], "total": 0 }